Bug 93698 - can't compile openoffice.org-2.0 with -DWITHOUT_MOZILLA LOCALIZED_LANG=ru
Summary: can't compile openoffice.org-2.0 with -DWITHOUT_MOZILLA LOCALIZED_LANG=ru
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-22 10:10 UTC by ykirill
Modified: 2006-03-01 03:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ykirill 2006-02-22 10:10:03 UTC
I tried to compile openoffice 2.0.2rc1 twice with same problem


java version "1.4.2-p8"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2-p8-root_20_feb_2006_14_23)
Java HotSpot(TM) Client VM (build 1.4.2-p8-root_20_feb_2006_14_23, mixed mode)


How to repeat:

make -DWITHOUT_MOZILLA LOCALIZED_LANG=ru
....
about 8 hours of compile
....
/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/extensions/source/plugin/ba
se
------------------------------
Making: ../../../unxfbsd.pro/misc/plbase.dpc
dmake subdmake=true  -f makefile.mk product="full" depend=t ALLDPC
Making : Dependencies
touch ../../../unxfbsd.pro/misc/plbase.dpc
------------------------------
Making: ../../../unxfbsd.pro/slo/context.obj
g++-ooo -Wreturn-type -fmessage-length=0 -c -I.  -I/usr/ports/editors/openoffice
.org-2.0/work/OOB680_m1/solver/680/unxfbsd.pro/inc/mozilla/plugin -I/usr/ports/e
ditors/openoffice.org-2.0/work/OOB680_m1/solver/680/unxfbsd.pro/inc/mozilla/java
 -I/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solver/680/unxfbsd.pro/i
nc/mozilla/nspr -I../inc -I../../../inc -I../../../unx/inc -I../../../unxfbsd.pr
o/inc -I. -I/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solver/680/unxf
bsd.pro/inc/stl -I/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solver/68
0/unxfbsd.pro/inc/external -I/usr/ports/editors/openoffice.org-2.0/work/OOB680_m
1/solver/680/unxfbsd.pro/inc -I/usr/ports/editors/openoffice.org-2.0/work/OOB680
_m1/solenv/unxfbsd/inc -I/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/so
lenv/inc -I/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/res -I/usr/ports
/editors/openoffice.org-2.0/work/OOB680_m1/solver/680/unxfbsd.pro/inc/stl -I/usr
/ports/editors/openoffice.org-2.0/work/OOB680_m1/solenv/inc/Xp31 -I/usr/local/jd
k1.4.2/include -I/usr/local/jdk1.4.2/include/freebsd -I/usr/local/jdk1.4.2/inclu
de/bsd -I/usr/local/jdk1.4.2/include/native_threads/include -I/usr/X11R6/include
     -I. -I../../../res -I. -Os -fno-strict-aliasing -Wuninitialized   -pipe -mt
une=pentiumpro -Wno-ctor-dtor-privacy -fvisibility-inlines-hidden -g1 -fexceptio
ns -fno-enforce-eh-specs   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DINTEL -DCV
ER=C341 -D_USE_NAMESPACE  -DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAME
SPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DC
PPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1
/include/c++ -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -D
OPTIMIZE -DEXCEPTIONS_ON -DGUI -DSOLAR_JAVA -DOOB680=OOB680   -DOJI -DSHAREDLIB 
-D_DLL_  -DMULTITHREAD  -o ../../../unxfbsd.pro/slo/context.o /usr/ports/editors
/openoffice.org-2.0/work/OOB680_m1/extensions/source/plugin/base/context.cxx
In file included from ../inc/plugin/unx/sysplug.hxx:40,
                 from ../inc/plugin/impl.hxx:144,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
./inc/plugin/unx/plugcon.hxx:85:19: npupp.h: No such file or directory
./inc/plugin/unx/plugcon.hxx:86:19: npapi.h: No such file or directory
In file included from ../inc/plugin/unx/sysplug.hxx:40,
                 from ../inc/plugin/impl.hxx:144,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
./inc/plugin/unx/plugcon.hxx:102: error: `NPP' does not name a type
./inc/plugin/unx/plugcon.hxx:103: error: `NPWindow' does not name a type
./inc/plugin/unx/plugcon.hxx:104: error: `NPSetWindowCallbackStruct' does not n
ame a type
./inc/plugin/unx/plugcon.hxx:115: error: `NPSavedData' does not name a type
./inc/plugin/unx/plugcon.hxx:117: error: expected `)' before "inst"
./inc/plugin/unx/plugcon.hxx:126: error: variable or field `Insert' declared vo
id
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '(' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "void"
./inc/plugin/unx/plugcon.hxx:126: error: variable or field `Insert' declared vo
id
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '(' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "void"
./inc/plugin/unx/plugcon.hxx:126: error: variable or field `Insert' declared vo
id
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '(' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "ULONG"
./inc/plugin/unx/plugcon.hxx:126: error: expected `,' or `...' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `,' or `...' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: `ULONG NPStreamList::GetPos(int) const
' and `ULONG NPStreamList::GetPos(int) const' cannot be overloaded
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStream"
./inc/plugin/unx/plugcon.hxx:126: error: ISO C++ forbids declaration of `NPStre
am' with no type
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before '*' token
./inc/plugin/unx/plugcon.hxx:126: error: expected `;' before "NPStreamList"
./inc/plugin/unx/plugcon.hxx: In member function `ULONG NPStreamList::GetPos(in
t) const':
./inc/plugin/unx/plugcon.hxx:126: error: `p' undeclared (first use this functio
n)
./inc/plugin/unx/plugcon.hxx:126: error: (Each undeclared identifier is reporte
d only once for each function it appears in.)
./inc/plugin/unx/plugcon.hxx: In member function `ULONG NPStreamList::GetPos(in
t) const':
./inc/plugin/unx/plugcon.hxx:126: error: `p' undeclared (first use this functio
n)
./inc/plugin/unx/plugcon.hxx:126: error: `nStartIndex' undeclared (first use th
is function)
./inc/plugin/unx/plugcon.hxx:126: error: `bForward' undeclared (first use this 
function)
./inc/plugin/unx/plugcon.hxx: At global scope:
./inc/plugin/unx/plugcon.hxx:157: error: expected `;' before '(' token
./inc/plugin/unx/plugcon.hxx:158: error: expected `;' before '(' token
./inc/plugin/unx/plugcon.hxx:162: error: `NPError' does not name a type
In file included from ../inc/plugin/unx/sysplug.hxx:41,
                 from ../inc/plugin/impl.hxx:144,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
./inc/plugin/plcom.hxx:61: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:62: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:65: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:66: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:70: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:73: error: variable or field `NPP_Print' declared void
./inc/plugin/plcom.hxx:73: error: `NPP_Print' declared as a `virtual' field
./inc/plugin/plcom.hxx:73: error: expected `;' before '(' token
./inc/plugin/plcom.hxx:74: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:76: error: variable or field `NPP_StreamAsFile' declared
 void
./inc/plugin/plcom.hxx:76: error: `NPP_StreamAsFile' declared as a `virtual' fi
eld
./inc/plugin/plcom.hxx:76: error: expected `;' before '(' token
./inc/plugin/plcom.hxx:78: error: variable or field `NPP_URLNotify' declared vo
id
./inc/plugin/plcom.hxx:78: error: `NPP_URLNotify' declared as a `virtual' field
./inc/plugin/plcom.hxx:78: error: expected `;' before '(' token
./inc/plugin/plcom.hxx:80: error: `int32' does not name a type
./inc/plugin/plcom.hxx:82: error: `int32' does not name a type
./inc/plugin/plcom.hxx:83: error: `NPError' does not name a type
./inc/plugin/plcom.hxx:84: error: `NPError' does not name a type
In file included from ../inc/plugin/impl.hxx:144,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
./inc/plugin/unx/sysplug.hxx:59: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:60: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:63: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:64: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:67: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:70: error: variable or field `NPP_Print' declared 
void
./inc/plugin/unx/sysplug.hxx:70: error: `NPP_Print' declared as a `virtual' fie
ld
./inc/plugin/unx/sysplug.hxx:70: error: expected `;' before '(' token
./inc/plugin/unx/sysplug.hxx:71: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:73: error: variable or field `NPP_StreamAsFile' de
clared void
./inc/plugin/unx/sysplug.hxx:73: error: `NPP_StreamAsFile' declared as a `virtu
al' field
./inc/plugin/unx/sysplug.hxx:73: error: expected `;' before '(' token
./inc/plugin/unx/sysplug.hxx:75: error: variable or field `NPP_URLNotify' decla
red void
./inc/plugin/unx/sysplug.hxx:75: error: `NPP_URLNotify' declared as a `virtual'
 field
./inc/plugin/unx/sysplug.hxx:75: error: expected `;' before '(' token
./inc/plugin/unx/sysplug.hxx:77: error: `int32' does not name a type
./inc/plugin/unx/sysplug.hxx:79: error: `int32' does not name a type
./inc/plugin/unx/sysplug.hxx:81: error: `NPError' does not name a type
./inc/plugin/unx/sysplug.hxx:82: error: `NPError' does not name a type
In file included from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/stl/stl/_vector.h:572,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/stl/vector:36,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/tools/resmgr.hxx:65,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/tools/rc.hxx:50,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/vcl/outdev.hxx:53,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/vcl/window.hxx:47,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/vcl/syschild.hxx:47,
                 from ../inc/plugin/impl.hxx:148,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
/usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solver/680/unxfbsd.pro/inc/
stl/stl/_bvector.h:37:1: warning: "__WORD_BIT" redefined
In file included from /usr/include/sys/limits.h:36,
                 from /usr/include/limits.h:128,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/lib/gcc/i
386-portbld-freebsd6.0/3.4.1/include/limits.h:122,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/lib/gcc/i
386-portbld-freebsd6.0/3.4.1/include/syslimits.h:7,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/lib/gcc/i
386-portbld-freebsd6.0/3.4.1/include/limits.h:11,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/include/c
++/climits:49,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/stl/climits:27,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/stl/stl/_algobase.h:43,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/stl/stl/_list.h:34,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/solve
r/680/unxfbsd.pro/inc/stl/list:35,
                 from ../inc/plugin/impl.hxx:136,
                 from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
/usr/include/machine/_limits.h:95:1: warning: this is the location of the previo
us definition
In file included from /usr/ports/editors/openoffice.org-2.0/work/OOB680_m1/exten
sions/source/plugin/base/context.cxx:41:
./inc/plugin/impl.hxx:179: error: `NPP_t' does not name a type
./inc/plugin/impl.hxx:180: error: `NPWindow' does not name a type
./inc/plugin/impl.hxx:241: error: `NPP' does not name a type
./inc/plugin/impl.hxx:242: error: ISO C++ forbids declaration of `NPWindow' wit
h no type
./inc/plugin/impl.hxx:242: error: expected `;' before '*' token
./inc/plugin/impl.hxx:244: error: expected `;' before "void"
./inc/plugin/impl.hxx:267: error: expected `;' before '(' token
./inc/plugin/impl.hxx:340: error: expected `;' before '(' token
./inc/plugin/impl.hxx:372: error: `NPStream' does not name a type
./inc/plugin/impl.hxx:378: error: ISO C++ forbids declaration of `NPStream' wit
h no type
./inc/plugin/impl.hxx:378: error: expected `;' before '*' token
./inc/plugin/impl.hxx:379: error: expected `;' before "XPlugin_Impl"
dmake:  Error code 1, while making '../../../unxfbsd.pro/slo/context.obj'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2.0/w
ork/OOB680_m1/extensions/source/plugin/base
dmake:  Error code 1, while making 'build_instsetoo_native'
'---* *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.0.

Fix: 

no fix or workaround
How-To-Repeat: i did it twice
i did "make clean" and "make distclean" before second compile
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-02-22 21:05:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 freebsd 2006-02-22 21:28:16 UTC
I reported the same problem on the mailing. I was using 
-DWITHOUT_MOZILLA, but had not specified any localization. So it 
certainly is not related to the LOCALIZED_LANG=ru you used.

- Bartosz
Comment 3 Bartosz Fabianowski 2006-02-23 14:29:39 UTC
I just tried again with 2.0.2rc2 - the problem still persists.

- Bartosz
Comment 4 Bartosz Fabianowski 2006-02-25 04:53:20 UTC
This is actually a known bug in OOo 2.0.2, see:
http://www.openoffice.org/issues/show_bug.cgi?id=59729

There is also a patch which fixes it:
http://www.openoffice.org/nonav/issues/showattachment.cgi/33909/nomoz.diff

Unfortunately, the patch will go into 2.0.3 via CWS pj50, but won't be 
included in 2.0.2.

Maybe some committer (Maho? ;) could add this patch to FreeBSD's port so 
we can enjoy the fix without having to wait for 2.0.3? IMHO, this should 
even be allowed to go in during the freeze - it is a compile fix after all.

- Bartosz

PS: I am currently running a massive portupgrade because of the recent 
libtool changes. Once that has completed, I am happy to test the patch 
and report back whether it really works (though I am sure it does as it 
got accepted by Pavel Janik).
Comment 5 Maho Nakata freebsd_committer 2006-03-01 03:03:04 UTC
State Changed
From-To: open->closed

committed thanks!